KYC
Add documents
Add documents to the user’s KYC.
POST
/
v2
/
users
/
{userId}
/
kyc
/
documents
Add documents
curl --request POST \
--url https://production.hifibridge.com/v2/users/{userId}/kyc/documents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"issuedCountry": "<string>",
"issuedDate": "2023-12-25",
"expiryDate": "2023-12-25",
"number": "<string>",
"description": "<string>",
"url": "<string>",
"fileId": "<string>",
"uboId": "<string>"
}
]
'import requests
url = "https://production.hifibridge.com/v2/users/{userId}/kyc/documents"
payload = [
{
"issuedCountry": "<string>",
"issuedDate": "2023-12-25",
"expiryDate": "2023-12-25",
"number": "<string>",
"description": "<string>",
"url": "<string>",
"fileId": "<string>",
"uboId": "<string>"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
issuedCountry: '<string>',
issuedDate: '2023-12-25',
expiryDate: '2023-12-25',
number: '<string>',
description: '<string>',
url: '<string>',
fileId: '<string>',
uboId: '<string>'
}
])
};
fetch('https://production.hifibridge.com/v2/users/{userId}/kyc/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.hifibridge.com/v2/users/{userId}/kyc/documents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'issuedCountry' => '<string>',
'issuedDate' => '2023-12-25',
'expiryDate' => '2023-12-25',
'number' => '<string>',
'description' => '<string>',
'url' => '<string>',
'fileId' => '<string>',
'uboId' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://production.hifibridge.com/v2/users/{userId}/kyc/documents"
payload := strings.NewReader("[\n {\n \"issuedCountry\": \"<string>\",\n \"issuedDate\": \"2023-12-25\",\n \"expiryDate\": \"2023-12-25\",\n \"number\": \"<string>\",\n \"description\": \"<string>\",\n \"url\": \"<string>\",\n \"fileId\": \"<string>\",\n \"uboId\": \"<string>\"\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://production.hifibridge.com/v2/users/{userId}/kyc/documents")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"issuedCountry\": \"<string>\",\n \"issuedDate\": \"2023-12-25\",\n \"expiryDate\": \"2023-12-25\",\n \"number\": \"<string>\",\n \"description\": \"<string>\",\n \"url\": \"<string>\",\n \"fileId\": \"<string>\",\n \"uboId\": \"<string>\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.hifibridge.com/v2/users/{userId}/kyc/documents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"issuedCountry\": \"<string>\",\n \"issuedDate\": \"2023-12-25\",\n \"expiryDate\": \"2023-12-25\",\n \"number\": \"<string>\",\n \"description\": \"<string>\",\n \"url\": \"<string>\",\n \"fileId\": \"<string>\",\n \"uboId\": \"<string>\"\n }\n]"
response = http.request(request)
puts response.read_body{
"count": 2,
"data": [
{
"id": "7c9439f6-655b-4aeb-9b32-e17759ee9134",
"type": "CERTIFICATE_OF_INCORPORATION",
"subType": "SINGLE_SIDE",
"issuedCountry": "USA",
"issuedDate": null,
"expiryDate": null,
"number": null,
"description": null,
"url": "https://example.com/doc_123",
"fileId": "file_zEFpbPhk71NaQfEVMR544",
"uboId": null
},
{
"id": "7a9dc485-3216-47fd-baa4-a7ab4085b723",
"type": "PASSPORT",
"subType": "SINGLE_SIDE",
"issuedCountry": "USA",
"issuedDate": null,
"expiryDate": null,
"number": null,
"description": null,
"url": "https://example.com/doc_123",
"fileId": "file_zEFpbPhk71NaQfEVMR544",
"uboId": "3285c3be-ef36-4f01-bf95-578d3116f0ff"
}
]
}{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}Authorizations
Body
application/json
- Add Individual Document · object[]
- Add Business Document · object[]
Type of the document. This field is immutable once created.
Available options:
DRIVERS, ID_CARD, PASSPORT, INCOME_SOURCE, INVESTOR_DOC, PAYMENT_SOURCE, RESIDENCE_PERMIT, PROOF_OF_ADDRESS, AUTH_LETTER, UTILITY_BILL, BANK_STATEMENT, RENTAL_AGREEMENT, TAX_DOCUMENT, VOTER_REGISTRATION_CARD, BANK_REFERENCE_LETTER, LEASE_OR_TENANCY_AGREEMENT, OTHER ⌘I
Add documents
curl --request POST \
--url https://production.hifibridge.com/v2/users/{userId}/kyc/documents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"issuedCountry": "<string>",
"issuedDate": "2023-12-25",
"expiryDate": "2023-12-25",
"number": "<string>",
"description": "<string>",
"url": "<string>",
"fileId": "<string>",
"uboId": "<string>"
}
]
'import requests
url = "https://production.hifibridge.com/v2/users/{userId}/kyc/documents"
payload = [
{
"issuedCountry": "<string>",
"issuedDate": "2023-12-25",
"expiryDate": "2023-12-25",
"number": "<string>",
"description": "<string>",
"url": "<string>",
"fileId": "<string>",
"uboId": "<string>"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
issuedCountry: '<string>',
issuedDate: '2023-12-25',
expiryDate: '2023-12-25',
number: '<string>',
description: '<string>',
url: '<string>',
fileId: '<string>',
uboId: '<string>'
}
])
};
fetch('https://production.hifibridge.com/v2/users/{userId}/kyc/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.hifibridge.com/v2/users/{userId}/kyc/documents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'issuedCountry' => '<string>',
'issuedDate' => '2023-12-25',
'expiryDate' => '2023-12-25',
'number' => '<string>',
'description' => '<string>',
'url' => '<string>',
'fileId' => '<string>',
'uboId' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://production.hifibridge.com/v2/users/{userId}/kyc/documents"
payload := strings.NewReader("[\n {\n \"issuedCountry\": \"<string>\",\n \"issuedDate\": \"2023-12-25\",\n \"expiryDate\": \"2023-12-25\",\n \"number\": \"<string>\",\n \"description\": \"<string>\",\n \"url\": \"<string>\",\n \"fileId\": \"<string>\",\n \"uboId\": \"<string>\"\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://production.hifibridge.com/v2/users/{userId}/kyc/documents")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"issuedCountry\": \"<string>\",\n \"issuedDate\": \"2023-12-25\",\n \"expiryDate\": \"2023-12-25\",\n \"number\": \"<string>\",\n \"description\": \"<string>\",\n \"url\": \"<string>\",\n \"fileId\": \"<string>\",\n \"uboId\": \"<string>\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.hifibridge.com/v2/users/{userId}/kyc/documents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"issuedCountry\": \"<string>\",\n \"issuedDate\": \"2023-12-25\",\n \"expiryDate\": \"2023-12-25\",\n \"number\": \"<string>\",\n \"description\": \"<string>\",\n \"url\": \"<string>\",\n \"fileId\": \"<string>\",\n \"uboId\": \"<string>\"\n }\n]"
response = http.request(request)
puts response.read_body{
"count": 2,
"data": [
{
"id": "7c9439f6-655b-4aeb-9b32-e17759ee9134",
"type": "CERTIFICATE_OF_INCORPORATION",
"subType": "SINGLE_SIDE",
"issuedCountry": "USA",
"issuedDate": null,
"expiryDate": null,
"number": null,
"description": null,
"url": "https://example.com/doc_123",
"fileId": "file_zEFpbPhk71NaQfEVMR544",
"uboId": null
},
{
"id": "7a9dc485-3216-47fd-baa4-a7ab4085b723",
"type": "PASSPORT",
"subType": "SINGLE_SIDE",
"issuedCountry": "USA",
"issuedDate": null,
"expiryDate": null,
"number": null,
"description": null,
"url": "https://example.com/doc_123",
"fileId": "file_zEFpbPhk71NaQfEVMR544",
"uboId": "3285c3be-ef36-4f01-bf95-578d3116f0ff"
}
]
}{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}